package com.webonlineapp.hyjavachartsdemo.exportserver;

import java.io.InputStream;

import com.vaadin.server.StreamResource.StreamSource;

public class ChartImageSource implements StreamSource {
	private static final long serialVersionUID = -1032519913661337417L;
	private String globalOptionsJs;
	private String chartOptionsJs;
	
	
	/**
	 * 
	 * @param globalOptionsJs
	 * @param chartOptionsJs
	 */
	public ChartImageSource(String globalOptionsJs, String chartOptionsJs) {
		this.globalOptionsJs = globalOptionsJs;
		this.chartOptionsJs = chartOptionsJs;
	}
	
	/**
	 * 
	 */
    public InputStream getStream () {
		try {
			InputStream chartInputStream = new ExportServer().createChart(globalOptionsJs, chartOptionsJs);
			return chartInputStream;
		} catch (Exception e) {
			e.printStackTrace();
			return null;
		}
    }
    
}
