package com.webonlineapp.hyjavachartsdemo.util;

import javax.servlet.ServletContext;

import com.vaadin.server.VaadinService;
import com.vaadin.server.VaadinServlet;
import com.vaadin.ui.UI;

/**
 *  
 */
public class GeneralUtil {

	/**
	 * Usage: URL url = GeneralUtil.getServletContext().getResource("/docroot/reports/abc.xml");
	 * @return
	 */
    static public ServletContext getServletContext() {
        return VaadinServlet.getCurrent().getServletContext();
    }
 
    /**
     * Usage: Resource res = new FileResource(new File(GeneralUtil.getBasePath() + "/docroot/abc.pdf"));
     * @return
     */
    static public String getBasePath() {
        return VaadinService.getCurrent().getBaseDirectory().getPath();
    }
    
    /**
     * 
     * @return
     */
    static public String getHost() {
        return UI.getCurrent().getPage().getLocation().getHost();
    }
    
    /**
     * 
     * @return
     */
    static public int getPort() {
        return UI.getCurrent().getPage().getLocation().getPort();
    }
    
}
